ParseYaml
curl --request POST \
--url https://developer.synq.io/api/agent/recon/v1/yaml/parse \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"yaml": "<string>"
}
'import requests
url = "https://developer.synq.io/api/agent/recon/v1/yaml/parse"
payload = { "yaml": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({yaml: '<string>'})
};
fetch('https://developer.synq.io/api/agent/recon/v1/yaml/parse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"suite": {
"name": "<string>",
"title": "<string>",
"description": "<string>",
"reconciliations": [
{
"name": "<string>",
"source": {
"connection": "<string>",
"query": "<string>",
"asOf": "<string>"
},
"target": {
"connection": "<string>",
"query": "<string>",
"asOf": "<string>"
},
"title": "<string>",
"description": "<string>",
"keyColumn": "<string>",
"keyColumns": [
"<string>"
],
"columnMapping": [
{
"source": "<string>",
"target": "<string>"
}
],
"caseInsensitive": true,
"bisection": {
"enabled": true,
"factor": 513,
"threshold": 2,
"timeColumn": "<string>"
},
"reporting": {
"sampleLimit": 2,
"consentAcknowledged": true
},
"aggregate": {
"measures": [
{
"column": "<string>",
"functions": []
}
],
"thresholds": {
"absolute": 1,
"percentage": 1,
"perColumn": [
{
"column": "<string>",
"thresholds": "<unknown>"
}
],
"perMeasure": [
{
"column": "<string>",
"thresholds": "<unknown>"
}
]
},
"groupColumns": [
"<string>"
]
},
"errorHandling": {
"queryTimeout": "<string>",
"maxRetries": 5,
"retryInitialDelay": "<string>",
"retryBackoffFactor": 2
},
"window": {
"lookback": "<string>",
"column": "<string>"
},
"setup": [
{
"connection": "<string>",
"queries": [
"<string>"
]
}
],
"teardown": [
{
"connection": "<string>",
"queries": [
"<string>"
]
}
],
"teardownOnFailure": true,
"ignoreSetupErrors": true,
"cutoff": {
"source": {
"column": "<string>",
"query": "<string>"
},
"target": {
"column": "<string>",
"query": "<string>"
},
"offset": "<string>",
"applySource": {
"column": "<string>",
"operator": "<string>"
},
"applyTarget": {
"column": "<string>",
"operator": "<string>"
}
},
"annotations": [
{
"name": "<string>",
"values": [
"<string>"
]
}
]
}
],
"setup": [
{
"connection": "<string>",
"queries": [
"<string>"
]
}
],
"teardown": [
{
"connection": "<string>",
"queries": [
"<string>"
]
}
],
"teardownOnFailure": true,
"ignoreSetupErrors": true,
"variables": {},
"strictTimeReferences": true,
"annotations": [
{
"name": "<string>",
"values": [
"<string>"
]
}
]
}
}synq.agent.recon.v1.YamlService
ParseYaml
ParseYaml parses a YAML config string into a ReconcilationSuite proto. Only the suite configuration fields are extracted (connections are ignored).
POST
/
api
/
agent
/
recon
/
v1
/
yaml
/
parse
ParseYaml
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
YAML config string to parse.
Response
200 - application/json
Success
The parsed suite configuration.
Show child attributes
Show child attributes
⌘I